> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List OAuth clients

> Retrieve a paginated list of OAuth clients for the authenticated user



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/oauth.yml get /oauth/clients
openapi: 3.1.0
info:
  title: Telnyx OAuth API
  version: 2.0.0
  description: API for OAuth.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /oauth/clients:
    get:
      tags:
        - OAuth Clients
      summary: List OAuth clients
      description: Retrieve a paginated list of OAuth clients for the authenticated user
      operationId: ListOAuthClients
      parameters:
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          description: Number of results per page
        - name: page[number]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
          description: Page number
        - name: filter[client_type]
          in: query
          schema:
            type: string
            enum:
              - confidential
              - public
          description: Filter by client type
        - name: filter[verified]
          in: query
          schema:
            type: boolean
          description: Filter by verification status
        - name: filter[allowed_grant_types][contains]
          in: query
          schema:
            type: string
            enum:
              - client_credentials
              - authorization_code
              - refresh_token
          description: Filter by allowed grant type
        - name: filter[name]
          in: query
          schema:
            type: string
          description: Filter by exact client name
        - name: filter[name][contains]
          in: query
          schema:
            type: string
          description: Filter by client name containing text
        - name: filter[client_id]
          in: query
          schema:
            type: string
          description: Filter by client ID
      responses:
        '200':
          description: List of OAuth clients
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/OAuthClient'
                  meta:
                    $ref: '#/components/schemas/oauth_PaginationMeta'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/oauth_Error'
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const oauthClient of client.oauthClients.list()) {
              console.log(oauthClient.client_id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.oauth_clients.list()
            page = page.data[0]
            print(page.client_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.OAuthClients.List(context.TODO(), telnyx.OAuthClientListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.oauthclients.OAuthClientListPage;
            import com.telnyx.sdk.models.oauthclients.OAuthClientListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    OAuthClientListPage page = client.oauthClients().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.oauth_clients.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->oauthClients->list(
                filterAllowedGrantTypesContains: 'client_credentials',
                filterClientID: 'filter[client_id]',
                filterClientType: 'confidential',
                filterName: 'filter[name]',
                filterNameContains: 'filter[name][contains]',
                filterVerified: true,
                pageNumber: 1,
                pageSize: 1,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx oauth-clients list \
              --api-key 'My API Key'
components:
  schemas:
    OAuthClient:
      type: object
      properties:
        record_type:
          type: string
          enum:
            - oauth_client
          description: Record type identifier
        client_id:
          type: string
          description: OAuth client identifier
        name:
          type: string
          description: Human-readable name for the OAuth client
        org_id:
          type: string
          description: Organization ID that owns this OAuth client
        user_id:
          type: string
          description: User ID that created this OAuth client
        allowed_scopes:
          type: array
          items:
            type: string
          description: List of allowed OAuth scopes
        client_type:
          type: string
          enum:
            - public
            - confidential
          description: OAuth client type
        require_pkce:
          type: boolean
          description: >-
            Whether PKCE (Proof Key for Code Exchange) is required for this
            client
        allowed_grant_types:
          type: array
          items:
            type: string
            enum:
              - client_credentials
              - authorization_code
              - refresh_token
          description: List of allowed OAuth grant types
        redirect_uris:
          type: array
          items:
            type: string
            format: uri
          description: List of allowed redirect URIs
        logo_uri:
          type:
            - string
            - 'null'
          format: uri
          description: URL of the client logo
        tos_uri:
          type:
            - string
            - 'null'
          format: uri
          description: URL of the client's terms of service
        policy_uri:
          type:
            - string
            - 'null'
          format: uri
          description: URL of the client's privacy policy
        client_secret:
          type:
            - string
            - 'null'
          description: >-
            Client secret (only included when available, for confidential
            clients)
        created_at:
          type: string
          format: date-time
          description: Timestamp when the client was created
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the client was last updated
      required:
        - record_type
        - client_id
        - name
        - org_id
        - user_id
        - client_type
        - require_pkce
        - created_at
        - updated_at
    oauth_PaginationMeta:
      type: object
      properties:
        page_number:
          type: integer
          description: Current page number
        page_size:
          type: integer
          description: Number of items per page
        total_results:
          type: integer
          description: Total number of results
        total_pages:
          type: integer
          description: Total number of pages
    oauth_Error:
      type: object
      properties:
        error:
          type: string
          description: Error code
        error_description:
          type: string
          description: Human-readable error description
      required:
        - error
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````